com.holonplatform.json.config

## Interface JsonConfigProperties

- All Superinterfaces:
    com.holonplatform.core.config.ConfigPropertySet
  All Known Implementing Classes:
    JsonConfigProperties.JsonConfigPropertiesImpl

      public interface JsonConfigProperties
      extends com.holonplatform.core.config.ConfigPropertySet

  A `ConfigPropertySet` for JSON serialization and deserialization configuration, using `DEFAULT_NAME` as property prefix.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonConfigProperties.JsonConfigPropertiesImpl` Default implementation

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_NAME` Configuration property set default name
    `static com.holonplatform.core.config.ConfigProperty<PropertyBoxSerializationMode>` | `PROPERTYBOX_SERIALIZATION_MODE` `PropertyBox` serialization mode.
    `static String` | `PROPERTYBOX_SERIALIZATION_MODE_ATTRIBUTE_NAME` PROPERTYBOX_SERIALIZATION_MODE configuration property complete name

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigPropertySet.Builder<com.holonplatform.core.datastore.DatastoreConfigProperties>` | `builder()` Builder to create property set instances bound to a property data source.

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Field Detail

    - #### DEFAULT_NAME

          static final String DEFAULT_NAME

      Configuration property set default name
      See Also:
        Constant Field Values

    - #### PROPERTYBOX_SERIALIZATION_MODE

          static final com.holonplatform.core.config.ConfigProperty<PropertyBoxSerializationMode> PROPERTYBOX_SERIALIZATION_MODE

      `PropertyBox` serialization mode. Default is `PropertyBoxSerializationMode.getDefault()`.

    - #### PROPERTYBOX_SERIALIZATION_MODE_ATTRIBUTE_NAME

          static final String PROPERTYBOX_SERIALIZATION_MODE_ATTRIBUTE_NAME

      PROPERTYBOX_SERIALIZATION_MODE configuration property complete name

  - ### Method Detail

    - #### builder

          static com.holonplatform.core.config.ConfigPropertySet.Builder<com.holonplatform.core.datastore.DatastoreConfigProperties> builder()

      Builder to create property set instances bound to a property data source.
      Returns:
        ConfigPropertySet builder

Copyright © 2019 The Holon Platform. All rights reserved.